# Poco

# class PipeOutputStream

Library: Foundation
Package: Processes
Header: Poco/PipeStream.h

## Description

An output stream for writing to a Pipe.

## Inheritance

Direct Base Classes: PipeIOS, std::ostream

All Base Classes: PipeIOS, std::ios, std::ostream

## Member Summary

Inherited Functions: close, rdbuf

## Constructors

### PipeOutputStream

PipeOutputStream(
const Pipe & pipe
);

Creates the PipeOutputStream with the given Pipe.

## Destructor

### ~PipeOutputStream

~PipeOutputStream();

Destroys the PipeOutputStream.

Flushes the buffer, but does not close the pipe.